Bug 966269 - CVE-2013-2098 CVE-2013-2099 python: ssl.match_hostname() DoS via certificates with specially crafted hostname wildcard patterns [fedora-all]
CVE-2013-2098 CVE-2013-2099 python: ssl.match_hostname() DoS via certificates...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: python-requests (Show other bugs)
18
All Linux
low Severity low
: ---
: ---
Assigned To: Arun S A G
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-2099
  Show dependency treegraph
 
Reported: 2013-05-22 18:16 EDT by Vincent Danen
Modified: 2013-05-27 14:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-24 11:28:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-05-22 18:16:55 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Vincent Danen 2013-05-22 18:17:05 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=963260,966269
Comment 2 Ralph Bean 2013-05-23 20:41:38 EDT
Vincent, python-requests no longer bundles the match_hostname code as of python-requests-1.1.0-3.

See:

* http://pkgs.fedoraproject.org/cgit/python-requests.git/log/h
* https://admin.fedoraproject.org/updates/python-requests
* https://bugzilla.redhat.com/show_bug.cgi?id=904623

The bug should be filed against python-backports-ssl_match_hostname.  There is no new update to be pushed for this package.  How should we proceed?  Close this ticket by hand?  Please advise.
Comment 3 Toshio Ernie Kuratomi 2013-05-24 11:28:03 EDT
The bundled version of the code was removed in February 2013.

https://admin.fedoraproject.org/updates/FEDORA-2013-3287/python-requests-1.1.0-3.fc17

https://admin.fedoraproject.org/updates/FEDORA-2013-3287/python-requests-1.1.0-3.fc18

http://koji.fedoraproject.org/koji/buildinfo?buildID=398972

python-backports-ssl_match_hostname update patched for this bug  is currently in the testing repository: https://admin.fedoraproject.org/updates/python-backports-ssl_match_hostname
Comment 4 Vincent Danen 2013-05-27 14:37:39 EDT
Toshio did the right thing; this should be closed and the fix should be in the python-backports-ssl_match_hostname package, so while this is vulnerable now, it won't be once the other package is updated.

Note You need to log in before you can comment on or make changes to this bug.